org.apache.commons.configuration2.io

## Interface FileOptionsProvider

-     public interface FileOptionsProvider

  Some FileSystems allow options to be passed on File operations. Users of commons configuration can implement this interface and register it with the FileSystem.
  Since:
    1.7
  Version:
    $Id: FileOptionsProvider.java 1624601 2014-09-12 18:04:36Z oheger $
  Author:
    Commons Configuration team

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CURRENT_USER` Key used to identify the user to be associated with the current file operations.
    `static String` | `MAX_HOST_CONNECTIONS` Key used to identify the maximum number of connections allowed to a single host.
    `static String` | `MAX_TOTAL_CONNECTIONS` Key used to identify the maximum number of connections allowed to all hosts.
    `static String` | `PROXY_HOST` Key used to identify the proxy host to connect through.
    `static String` | `PROXY_PORT` Key used to identify the proxy port to connect through.
    `static String` | `VERSIONING` Key used to indicate whether Webdav versioning support should be enabled.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getOptions()`

- - ### Field Detail

    - #### CURRENT_USER

          static final String CURRENT_USER

      Key used to identify the user to be associated with the current file operations. The value associated with this key is a String identifying the current user.
      See Also:
        Constant Field Values

    - #### VERSIONING

          static final String VERSIONING

      Key used to indicate whether Webdav versioning support should be enabled. The value associated with this key is a Boolean where True indicates versioning should be enabled.
      See Also:
        Constant Field Values

    - #### PROXY_HOST

          static final String PROXY_HOST

      Key used to identify the proxy host to connect through. The value associated with this key is a String identifying the host name of the proxy.
      See Also:
        Constant Field Values

    - #### PROXY_PORT

          static final String PROXY_PORT

      Key used to identify the proxy port to connect through. The value associated with this key is an Integer identifying the port on the proxy.
      See Also:
        Constant Field Values

    - #### MAX_HOST_CONNECTIONS

          static final String MAX_HOST_CONNECTIONS

      Key used to identify the maximum number of connections allowed to a single host. The value associated with this key is an Integer identifying the maximum number of connections allowed to a single host.
      See Also:
        Constant Field Values

    - #### MAX_TOTAL_CONNECTIONS

          static final String MAX_TOTAL_CONNECTIONS

      Key used to identify the maximum number of connections allowed to all hosts. The value associated with this key is an Integer identifying the maximum number of connections allowed to all hosts.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getOptions

          Map<String,Object> getOptions()

      Returns:
        Options to be used for this file.

Copyright © 2001–2015 The Apache Software Foundation. All rights reserved.